### Method

# Vte Uuid new_v5

since: 0.78

#### Declaration [src]

    VteUuid*
    vte_uuid_new_v5 (
      const VteUuid* ns,
      const char* data,
      gssize len
    )

#### Description [src]

Creates a new UUID for `ns` and `str`.

Available since: 0.78

#### Parameters

`ns`

  Type: `VteUuid`

  The namespace `VteUuid`.

  The argument can be `NULL`.

`data`

  Type: `const char*`

  String data.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `gssize`

  The length of `data`, or -1 if `str` is NUL terminated.

#### Return value

Type: `VteUuid`

A new v5 UUID.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.